#include<stdio.h>
#include<math.h>

void tacno(long int a[30000],long int b[30000],int t1[100],int n,int k){
	int i,j,indeks;
	
	for(i=0;i<n;i++){
		for(j=0;j<n;j++)
			if(a[i]==abs(b[j])){
				indeks=j;
				
				if(abs(indeks-i)%2==1 && b[indeks]*(-1)==a[i])
					t1[k]=1;
					
				else if(abs(indeks-i)%2==0 && b[indeks]==a[i])
					t1[k]=1;
				
				else
					t1[k]=0;
			}		
	}
	
}

void ispis(int t1[100],int t){
	int i;
	
	for(i=0;i<t;i++){
		if(t1[i]==1)
			printf("DA\n");
			
		else if(t1[i]==0)
			printf("NE\n");
	}
}

int main(){
	int t,n,i,j,t1[100];
	long int a[30000],b[30000];
	
	scanf("%d",&t);
	
	for(j=0;j<t;j++){
		scanf("%d",&n);
		
		for(i=0;i<n;i++)
			scanf("%ld",&a[i]);
		
		for(i=0;i<n;i++)
			scanf("%ld",&b[i]);
			
		tacno(a,b,t1,n,j);
	}
	
	ispis(t1,t);
	return 0;
}